Page MenuHomePhabricator

PHP-Queue: remove IndexedFifo and KeyValue interfaces
Closed, ResolvedPublic2 Story Points

Event Timeline

awight created this task.Feb 27 2017, 8:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2017, 8:54 PM
awight added a comment.EditedFeb 27 2017, 8:55 PM

We'll also need to make corresponding tweaks in our code which uses PHP-Queue.

UPDATE: Confirmed that we've already stopped using the deprecated interfaces.

awight claimed this task.Feb 27 2017, 10:42 PM
awight removed awight as the assignee of this task.
awight claimed this task.Mar 1 2017, 7:23 PM

Change 340924 had a related patch set uploaded (by awight):
[mediawiki/extensions/DonationInterface] Remove deprecated key-value interfaces

https://gerrit.wikimedia.org/r/340924

Ejegg closed this task as Resolved.Apr 13 2017, 5:18 PM

Change 340924 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Remove deprecated key-value interfaces

https://gerrit.wikimedia.org/r/340924

mmodell removed a subscriber: awight.Jun 22 2017, 9:32 PM
awight set the point value for this task to 2.Aug 29 2017, 9:48 PM